HqlToken (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast
Class HqlToken

    java.lang.Object
      antlr.Token
          antlr.CommonToken
              org.hibernate.hql.internal.ast.HqlToken

All Implemented Interfaces:
  Cloneable

    public class HqlToken

extends antlr.CommonToken

A custom token class for the HQL grammar.

NOTE: This class must be public becuase it is instantiated by the ANTLR library. Ignore any suggestions by various code 'analyzers' about this class being package local.

Field Summary

Fields inherited from class antlr.CommonToken
`col, line, text`

Fields inherited from class antlr.Token
`badToken, EOF_TYPE, INVALID_TYPE, MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, SKIP, type`

Constructor Summary
`HqlToken()`

Method Summary
`boolean` | `isPossibleID()` Returns true if the token could be an identifier.
`void` | `setPossibleID(boolean possibleID)` Set to true if this token can be interpreted as an identifier, false if not.
`void` | `setType(int t)` Sets the type of the token, remembering the previous type.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class antlr.CommonToken
`getColumn, getLine, getText, setColumn, setLine, setText`

Methods inherited from class antlr.Token
`getFilename, getType, setFilename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HqlToken

    public HqlToken()

Method Detail

### isPossibleID

    public boolean isPossibleID()

  Returns true if the token could be an identifier.

  Returns:
    True if the token could be interpreted as in identifier, false if not.

### setType

    public void setType(int t)

  Sets the type of the token, remembering the previous type.

  Overrides:
    `setType` in class `antlr.Token`
  Parameters:
    `t` - The new token type.

### setPossibleID

    public void setPossibleID(boolean possibleID)

  Set to true if this token can be interpreted as an identifier, false if not.

  Parameters:
    `possibleID` - True if this is a keyword/identifier, false if not.

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `antlr.CommonToken`
  Returns:
    String - The debug string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.